:root {
    --primary: #2DCCD3;
    --gray: #ADADAD;
    --dark-gray: #0C0B0B;
}
body {background-color: #000;color: #fff;font-family: 'IB_Signature_Light', sans-serif;}
body.body-ar{font-family: '29LT_Kaff_Light', sans-serif !important;}

/******************** collection section *****************/
.mb-200 {margin-bottom: 200px;}
.mb-100 {margin-bottom: 100px;}
.mt-100 {margin-top: 100px;}
.mt-200 {margin-top: 200px;}
.rotate_45{transform: rotate(-45deg);}

.color-gray {color: var(--gray);}
.color-primary {color: var(--primary);}
.background-primary {background-color: var(--primary);}
.slider {margin-bottom: 100px;}
.slick-dots {margin-bottom: -45px;}
.slick-dots li button {width: 10px;height: 10px;background-color: #fff;border-radius: 50%;transition: all 0.5s ease;}
.slick-dots li button:focus,
.slick-dots li.slick-active button
{width: 15px;height: 15px;background: linear-gradient(180deg, #2DCCD3 0%, #56CE4D 100%);}
.slick-dots li button:before {content: '';}
.slick .item{cursor: pointer;}
.allBtn {font-size: 24px;}
.identity-sm{color: var(--primary);font-family: 'IB_Signature_Light', sans-serif;}
.seeAllBtn{padding: 2px 8px;border-radius: 20px;transition: all 0.5s ease;}
.seeAllBtn:hover{background-color: #fff;color: #000 !important;}
:is(.services-page, .insights-page, .contact-page, .privacy-page, .common-questions-page,
.case-studies-page, .news-page, .other_pages).hero-sec h1 {bottom: -25px;}

/* .navbar-expand-lg .navbar-nav .nav-link{padding-left: 25px;padding-right: 25px;} */
.navbar-expand-lg .navbar-nav .nav-link:not(.lang) {
    padding-right: 12px;
    padding-left: 12px;
    font-size: 14px;
}

.body-ar :is(.services-page, .insights-page, .contact-page, .privacy-page, .common-questions-page,
.case-studies-page, .news-page, .other_pages).hero-sec h1 {bottom: -32px;}
.body-ar h2{font-size: 2.5rem !important;line-height: 70px;}
.body-ar h3{font-size: 1.5rem !important;line-height: 30px;}

/************************ nav **********************/
.navbar-sec{background-color: #000;}
nav .dropdown-item {color: #fff;}
nav .dropdown-menu .dropdown-divider {border-top: 1px solid #333;}
nav .languages a {color: #fff;}
nav .languages a.active {color: var(--primary) !important;}
.navbar-toggler {color: #fff;border: 0;}
/* .navbar-toggler {color: #fff;border: 1px solid #fff;} */
.navbar-toggler:focus {box-shadow: 0 0 0 0;}
nav .dropdown-menu.show {transition: all 0.5s;}
.navbar .navList .nav-link.active{border-bottom: 2px solid var(--primary);}
/* .hvr-sweep-to-top:before{background: linear-gradient(to top, green 0%, var(--primary) 100%) !important;} */
.request-service a{transition: all 0.5s ease, transform 0.5s ease;font-weight: 500;padding:8px 13px;color: #fff;width: 190px;}
/* .request-service a i{ font-size: 12px}; */
/* .request-service a:hover{background: #cfcfcf !important;color: #000;} */

/************************ Hero section **********************/
.home-page.hero-sec{margin-bottom: 150px;}
.other-page .home-page.hero-sec{margin-bottom: 0;}
.hero-sec h1 {
    bottom: -116px;
    font-size: 90px;
    line-height: 90px;
    letter-spacing: -4px;
    font-weight: 600;
    font-family: 'IB_Signature_Bold', sans-serif;
}
.body-ar .hero-sec h1{
    bottom: -138px;
    font-size: 80px;
    line-height: 100px;
    letter-spacing: .7px;
    font-family: '29LT_Kaff_Light', sans-serif;
}

.get_in_touch{font-family: 'IB_Signature_Bold', sans-serif;}
/* .get_in_touch .icon{top: 0;right: 0;width: 30px;} */
/* .body-ar .get_in_touch .icon{left: 12px;right: auto;} */
.get_in_touch_section a i{top: 20px; right: -70px;}

/*********************** about *********************/
.about-sec{margin-bottom: 150px;}
.body-ar .about-sec{font-size: 18px;}

/*********************** services section && case studies *********************/
.services-sec .main-title{font-size: 50px;}
.services-sec .sub-title{font-size: 20px;margin-bottom: 30px;}
.services-sec .service-title{
    font-size: 40px;
    line-height: 34px;
    padding-bottom: 15px;
    letter-spacing: -1px;
}
.services-sec .layout{background: #00000073;z-index: 0;}
.services-sec .icon{font-size: 60px;font-family: 'IB_Signature_Bold', sans-serif;max-height: 70px;}
.services-sec .box-arrow{top: 25px;right: 30px;transition: all 0.5s ease;width: 48px;height: 48px;display: flex;align-items: center;justify-content: center;}
.body-ar .services-sec .box-arrow{left: 30px;right: auto;}
.services-sec .box-arrow i{transform: rotate(45deg) scale(1);transition: all 0.5s ease;}
.body-ar .services-sec .box-arrow i{transform: rotate(-45deg) scale(1);}

.services-sec .box{border-radius: 10px;border-color: #dee2e647 !important;}
.services-sec .box:hover{
    /* background-image: url('service-icons/Asset9.svg'); */
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 0 25px;
}

.services-sec .content .desc{font-size: 16px;line-height: 24px;font-weight:400}

/*********************** Rate section *********************/
.rate-sec .box{height: 500px;overflow: hidden;}
.rate-sec h2 {
    font-family: 'IB_Signature_Bold', sans-serif;
    font-size: 50px;
    margin: -45px 27px 0;
    /* position: absolute; */
    top: 50px;
    left: 27px;
}
.rate-sec h2 span{color: #57CE4D;}
.rate-sec p {color: #97979F;padding-left: 27px;}
/* .rate-sec a {font-family: 'IB_Signature_Light', sans-serif;font-size: 22px;padding: 20px 59px;} */
/* .rate-sec img {position: relative;top: -60px;} */
.rate-sec .start_now i{
    position: absolute;
    top: -5px;
    right: -15px;
}

.vedio-sec .overlay{
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    position: absolute;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
    linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
    linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
    linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
    linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2));
}
.vedio-sec .video-icon{top: 50%;left: 50%;transform: translate(-50%, -50%);z-index: 2;position: absolute;cursor: pointer;}
#myVideo {width: 100%; height: auto;max-height: 665px;}
/* #myVideo {width: 1200px ;height: 780px ;} */

/************************ clients-sec *********************/
.clients-sec h2 {font-size: 80px;}
.clients-sec .review {font-size: 32px;}
.clients-sec .client-position{font-size: 20px;}
.clients-sec .client-img img{width: 90px;height: 90px;}
.clients-sec .client-desc h4{font-size: 20px;}

/*********************** articles *********************/
/* .articles-sec .item{height: 400px;} */
.news-sec h2{font-size: 50px;}
.articles-sec .category{
    backdrop-filter: blur(5px);
    color: #fff;
    border: 1px solid #FFFFFF33;
    top: 10px;
    left: 10px;
    z-index: 10;
    padding: 5px 8px;
}
.articles-sec h2 {font-size: 80px;margin-top: 48px;}
.articles-sec .layout {background: #00000073;}
.articles-sec .article {overflow: hidden;}
.articles-sec p {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

/* .articles-sec .content .desc {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
} */

.articles-sec .article .article-content {opacity: 0;transition: 0.5s;transform: translateY(30px);}
.articles-sec .article .layout {opacity: 0;transition: 0.5s;}
.articles-sec .article:hover :is(.layout, .article-content) {opacity: 1;transform: translateY(0px);}
.articles-sec .article.active :is(.layout, .article-content) {opacity: 1;transform: translateY(0px);}
.articles-sec .blog img{height: 140px;}
.articles-sec .img-box img{
    width: 100%;
    height: 280px;
    border-radius: 6px;
    object-fit: cover;
}
/* .articles-sec .blog {transition: all 0.5s ease;} */
/* .articles-sec .discover {
    width: 120px;
    height: 120px;
    bottom: 0;
    right: 0;
    z-index: 1;
    border-radius: 100% 0 0 0;
    transition: all 0.5s ease;
}
.body-ar .articles-sec .discover {left: 0; right: auto;border-radius: 0 100% 0 0;}
.articles-sec .discover a {bottom: 30px;right: 15px;}
.body-ar .articles-sec .discover a {right: auto;left: 40px;}
.articles-sec .blog.active .discover {height: 100%;width: 100%;border-radius: 0;} */
/* .articles-sec .blog p {
    font-size: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
} */


/************************ enjoy *********************/
.enjoy h2 {font-size: 80px;}
.enjoy p {font-size: 20px;}
.enjoy::after {
    content: '';
    position: absolute;
    width: 300px;
    height: 2px;
    bottom: -22px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #D62598;
}

/*********************** contact *********************/
.getway h3 {font-size: 80px;}


/*********************** subscribe *********************/
.subscribe-sec .seperated_sec .identity-sm{font-family: 'IB_Signature_Bold', sans-serif;}
.subscribe-sec h2 {font-size: 80px;font-family: 'IB_Signature_Light', sans-serif;}
.subscribe-sec input {background: transparent;border: 0;border-bottom: 1px solid;outline: none;border-radius: 0;}
.subscribe-sec input:focus {box-shadow: 0 0 0 0;background-color: transparent;color: var(--gray);}
.subscribe-sec input::placeholder {color: var(--gray);}
/* .subscribe-sec button,.subscribe-sec button:hover {background: linear-gradient(90deg, #56CE4D 0%, #2DCCD3 100%);} */
/*.subscribe-sec button:hover {background: #fff;color: #000 !important; font-weight: bold;}*/


.subscribe-sec button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.4rem 2rem;
    transform: translateZ(0);
    font-weight: 500;
    font-size: 1.4rem;
    line-height: 110%;
    text-transform: uppercase;
    background-color: transparent;
    position: relative;
    z-index: 1;
    overflow: hidden; /* Prevents overflow */
    transition: all .3s;
}

.subscribe-sec button span {
    display: inline-block;
    position: relative;
    z-index: 2;
    transition: transform 0.3s ease;
}

.subscribe-sec button span::after {
    content: attr(data-text);
    position: absolute;
    top: 200%;
    left: 0;
    width: 100%;
    height: 100%;
    color: #000;
    z-index: 1;
    transition: top 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.subscribe-sec button::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    border-radius: 50% 50% 0 0;
    z-index: 0;
    transition: top 0.6s ease;
}

@media (pointer: fine) {
    .subscribe-sec button:hover{
        font-weight: bold;
        transform: scaleX(1.02);
        transition: transform .6s cubic-bezier(.34,5.56,.64,1);
    }
    .subscribe-sec button:hover span {
        transform: translateY(-200%); /* Move original text up */
    }

    .subscribe-sec button:hover span::after {
        top: 200%; /* Bring the new text up */
    }

    .subscribe-sec button:hover::before {
        top: 0; /* Animate the background from bottom to top */
        scale: 1.5;
    }

    .subscribe-sec button:hover {
        color: #000 !important;
    }
}


/*********************** footer *********************/
/* footer {padding-bottom: 90px;} */
.footer {background-color: #0A0909;border-radius: 40px;z-index: 999;}
.footer .social a {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #000;
    box-shadow: 0 1px 2px #626262;
    transition: 0.5s;
}
footer .links a:hover{color: var(--primary) !important;}
footer .social a:hover {transform: rotateY(360deg);background: #56CE4D;}

/*********************** services page *********************/
.services-page .service h2{font-size: 60px;}
.services-page .service p{font-size: 20px;}
.services-page .service button:hover{background-color: var(--primary);}
.services-page .service img {border-radius: 40px;box-shadow: 0 6px 17px -8px #2DCCD366;}
.services-page .service .discover{
    width: 120px;height: 120px;bottom: 0;right: 0;
    background: linear-gradient(180deg, #00f4ff45 0%, #0677007a  100%);
    z-index: 1;border-radius: 100% 0 0 0;transition: 0.5s;
}
.body-ar .services-page .service .discover{left: 0; right: auto;border-radius: 0 100% 0 0;}
.services-page .service .img{border-radius: 40px;overflow: hidden;}
.services-page .service .discover a{bottom: 30px;right: 15px;}
/* .body-ar .services-page .service .discover a{right: auto;left: 15px;} */
.services-page .service .img:hover .discover{height: 100%;width: 100%;border-radius: 0;}

/* services filter (progress bar step (stepper)) */
.services-page .service {display: none;}
.services-page .service.active {display: block;}
.services-page .stepper-wrapper {margin-top: auto;display: flex;justify-content: space-between;flex-wrap: wrap;}
.services-page .stepper-item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
    text-align: center;

    @media (max-width: 768px) {
      font-size: 12px;
    }
}
.services-page .stepper-item::before {
    position: absolute;
    content: "";
    border-bottom: 1px solid #fff;
    width: 100%;
    top: 20px;
    left: -50%;
    z-index: 2;
}
.body-ar .services-page .stepper-item::before{right: -50%;left: auto;}

.services-page .stepper-item .step-counter {
    position: relative;
    z-index: 5;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #263238;
    margin-bottom: 6px;
    cursor: pointer;
}
.services-page .stepper-item .step-counter span{width: 20px;height: 20px;background-color: #fff;border-radius: 50%;}
.services-page .stepper-item .step-counter.active span{background: linear-gradient(180deg, #2DCCD3 0%, #56CE4D  100%);}
.services-page .stepper-item.active {font-weight: bold;}
.services-page .stepper-item.completed::after {
    position: absolute;
    content: "";
    border-bottom: 1px solid #fff;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 3;
}
.body-ar .services-page .stepper-item.completed::after {right: 50%; left: auto;}
.services-page .stepper-item:first-child::before {content: none;}
.services-page .stepper-item:last-child::after {content: none;}

/*********************** article parge *********************/
.article-page .img-article img{/*max-height: 500px;*/border-radius: 40px;}
.article-page .content{font-size: 20px;line-height: 1.3;}
.article-page #playButton{top: 50%;left: 50%;transform: translate(-50%,-50%);background: #00000078;width: 100%;height: 100%;}

/*********************** contact page *********************/
.contact-page h1{font-size: 80px;}

.contact-page input[type="radio"] ~ label {cursor: pointer;}
.contact-page input[type="radio"]:checked ~ label {background-color: #fff !important; color: #000;}
.contact-page .contact-form textarea{resize: none;}
.contact-page .contact-form :is(input, textarea, select),
.contact-page .contact-form :is(input, textarea, select):focus{
    background: transparent;
    border: 0;
    border-bottom: 1px solid;
    outline: none;
    border-radius: 0;
    color: #fff;
    box-shadow: 0 0 0;
}

.contact-page input[type="checkbox"] {
    width: 25px;
    height: 25px;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 3px;
    position: relative;
    cursor: pointer;
}

.contact-page input[type="checkbox"]::before {
    content: '✔';
    color: #ffffff;
    font-size: 18px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
}
.contact-page input[type="checkbox"]:checked::before {display: block;}
.contact-page .contact-form :is(input, textarea, select)::placeholder{color: #fff !important;}
.contact-page :is(.media_email, .career_email){font-size: 32px;}
.contact-page .info{font-size: 20px;}
.contact-page .map iframe{width: 100%;height: 500px;border:0;border-radius: 20px}
.contact-page .send_btn {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: .7rem 4rem !important;
    transform: translateZ(0);
    font-weight: 500;
    font-size: 1.4rem;
    line-height: 110%;
    text-transform: uppercase;
    background-color: transparent;
    position: relative;
    z-index: 1;
    overflow: hidden;
    transition: all .3s;
}

.contact-page .send_btn span {
    display: inline-block;
    position: relative;
    z-index: 2;
    transition: transform 0.3s ease;
}

.contact-page .send_btn span::after {
    content: attr(data-text);
    position: absolute;
    top: 200%;
    left: 0;
    width: 100%;
    height: 100%;
    color: #000;
    z-index: 1;
    transition: top 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact-page .send_btn::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    border-radius: 50% 50% 0 0;
    z-index: 0;
    transition: top 0.6s ease;
}

@media (pointer: fine) {
    .contact-page .send_btn:hover{
        font-weight: bold;
        transform: scaleX(1.02);
        transition: transform .6s cubic-bezier(.34,5.56,.64,1);
    }
    .contact-page .send_btn:hover span {
        transform: translateY(-200%); /* Move original text up */
    }

    .contact-page .send_btn:hover span::after {
        top: 200%; /* Bring the new text up */
    }

    .contact-page .send_btn:hover::before {
        top: 0; /* Animate the background from bottom to top */
        scale: 1.5;
    }

    .contact-page .send_btn:hover {
        color: #000 !important;
    }
}


/*********************** about page *********************/
.about-page .hero-sec h1{letter-spacing: 0;bottom: -25px;}

.about-page .about-content .title{font-size: 50px;letter-spacing: -2px;}
.about-page .about-content .para1{font-size: 24px;line-height: 30px;}
.about-page .about-content .para2{font-size: 18px;line-height: 30px;}
.about-page .missions .img{border-right: 1px solid #fff;}
.about-page .missions img{height: 430px;object-fit: cover;border-radius: 8px;}

.about-page .code h2{font-size: 55px;}
.about-page .code .title{font-size: 35px;}
.about-page .code .desc{width: 90%;color: #b2b2b2;}
.about-page .rate-your-result h2{font-size: 64px;font-weight: bold;}
.about-page .rate-your-result h2 span{color: #56CE4D;}

.about-page .about-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateZ(0);
    font-weight: 500;
    line-height: 110%;
    text-transform: uppercase;
    background-color: transparent;
    position: relative;
    z-index: 1;
    overflow: hidden; /* Prevents overflow */
    transition: all .3s;
}

.about-page .about-btn span {
    display: inline-block;
    position: relative;
    z-index: 2;
    transition: transform 0.3s ease;
}

.about-page .about-btn span::after {
    content: attr(data-text);
    position: absolute;
    top: 200%;
    left: 0;
    width: 100%;
    height: 100%;
    color: #000;
    z-index: 1;
    transition: top 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-page .about-btn::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    border-radius: 50% 50% 0 0;
    z-index: 0;
    transition: top 0.6s ease;
}

@media (pointer: fine) {
    .about-page .about-btn:hover{
        font-weight: bold;
        transform: scaleX(1.02);
        transition: transform .6s cubic-bezier(.34,5.56,.64,1);
    }
    .about-page .about-btn:hover span {
        transform: translateY(-200%); /* Move original text up */
    }

    .about-page .about-btn:hover span::after {
        top: 200%; /* Bring the new text up */
    }

    .about-page .about-btn:hover::before {
        top: 0; /* Animate the background from bottom to top */
        scale: 1.5;
    }

    .about-page .about-btn:hover {
        color: #000 !important;
    }
}

.about-page .team .team_img_card{
    background: #D9D9D91A;
    border-radius: 12px;
    padding: 20px 10px;
}
.about-page .careers h2{font-size: 80px;}
.about-page .careers p{color: #ADADAD;font-size: 28px;line-height: 30px;}
.about-page .opened-job .title{font-size: 30px;font-weight: 300;}


/*********************** privacy page *********************/
.privacy-page .accordion {background-color: #0C0B0B;border-radius: 20px;}
.privacy-page .accordion-header{padding: 30px 70px;font-size: 20px;}
.privacy-page .accordion .collapse div{border-color: #000 !important;}
.privacy-page .accordion .collapse div:focus-visible{border-color: #000 !important;}
.privacy-page .accordion-header:focus-visible{border-color: #000 !important;}


/***********************questions *********************/
.common-questions-page .accordion {background-color: #0C0B0B;border-radius: 20px;}
.common-questions-page .accordion-header{padding: 30px 70px;font-size: 20px;}
.common-questions-page .accordion .collapse div{border-color: #000 !important;}
.common-questions-page .accordion .collapse div:focus-visible{border-color: #000 !important;}
.common-questions-page .accordion-header:focus-visible{border-color: #000 !important;}


/*********************** case studies page *********************/
.case-studies-page .cs-card a.btn:hover{background: linear-gradient(180deg, #2DCCD3 0%, #56CE4D  100%);border-color: transparent !important;}
.case-studies-page .cs-card img {border-radius: 40px;box-shadow: 0 6px 17px -8px #2DCCD366;height: 450px;}
.case-studies-page p.cs-description{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.statistcs_card p::before {
    content: "";
    position: absolute;
    height: 2px;
    background-color: gray;
    width: 200px;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
}


/*********************** case study details page *********************/
.caseStudy-details-page .img-caseStudy img{/*max-height: 500px;*/border-radius: 40px;}
.caseStudy-details-page .content{font-size: 20px;line-height: 1.3;}
.caseStudy-details-page #playButton{top: 50%;left: 50%;transform: translate(-50%,-50%);background: #00000078;width: 100%;height: 100%;}
.caseStudy-details-page .cs-card a.btn:hover{background: linear-gradient(180deg, #2DCCD3 0%, #56CE4D  100%);border-color: transparent !important;}
.caseStudy-details-page h2.related-case-studies{font-size: 80px;}
.caseStudy-details-page .cs-card img {border-radius: 40px;box-shadow: 0 6px 17px -8px #2DCCD366;height: 350px;}
.caseStudy-details-page .related-case-studies p.cs-description{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}


/******************** Insights page *****************/
/* .insights-page .hero-sec{padding: 120px 0 300px;} */
.insights-page .hero-sec h1{letter-spacing: 0;bottom: -25px;}
/* .insights-page .filter-sec ul{background-color: #161A1D;border: 1px solid var(--primary);box-shadow: 0 6px 17px -8px #2DCCD366;} */
.insights-page .filter-sec ul li{cursor: pointer;font-size: 30px;margin: 0 20px;}
.insights-page .filter-sec ul li.active{color:var(--primary)}
.insights-page .articles-sec .content p {-webkit-line-clamp: 3;}

/************************ service details page **************************/
.service-details-page .hero-sec{padding: 120px 0;}
.service-details-page .hero-sec h1{letter-spacing: 0;}
.service-details-page .empower-sec h2{font-size: 60px;}
.service-details-page .empower-sec p{font-size: 20px;color: #b2b2b2;}
.service-details-page .empower-sec .request-service a:hover{color: #fff !important;background-color: transparent !important;}
/* .service-details-page .about-btn{background: linear-gradient(180deg, #2DCCD3 0%, #56CE4D  100%);} */
.service-details-page .about-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    /* padding: 1.4rem 2rem; */
    transform: translateZ(0);
    font-weight: 500;
    /* font-size: 1.4rem; */
    line-height: 110%;
    text-transform: uppercase;
    background-color: transparent;
    position: relative;
    z-index: 1;
    overflow: hidden; /* Prevents overflow */
    transition: all .3s;
}

.service-details-page .about-btn span {
    display: inline-block;
    position: relative;
    z-index: 2;
    transition: transform 0.3s ease;
}

.service-details-page .about-btn span::after {
    content: attr(data-text);
    position: absolute;
    top: 200%;
    left: 0;
    width: 100%;
    height: 100%;
    color: #000;
    z-index: 1;
    transition: top 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.service-details-page .about-btn::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    border-radius: 50% 50% 0 0;
    z-index: 0;
    transition: top 0.6s ease;
}

@media (pointer: fine) {
    .service-details-page .about-btn:hover{
        font-weight: bold;
        transform: scaleX(1.02);
        transition: transform .6s cubic-bezier(.34,5.56,.64,1);
    }
    .service-details-page .about-btn:hover span {
        transform: translateY(-200%); /* Move original text up */
    }

    .service-details-page .about-btn:hover span::after {
        top: 200%; /* Bring the new text up */
    }

    .service-details-page .about-btn:hover::before {
        top: 0; /* Animate the background from bottom to top */
        scale: 1.5;
    }

    .service-details-page .about-btn:hover {
        color: #000 !important;
    }
}

.service-details-page .partners h2{font-size: 55px;}
.service-details-page .partners hr{border-color: #fff;opacity: 1;}

.service-details-page .explore_btn{font-size: 20px;}
.service-details-page .explore_btn i{transform: rotate(45deg);font-size: 16px;}
.body-ar .service-details-page .explore_btn i{transform: rotate(-45deg);}

.service-details-page .parent {
    display: grid;
    grid-template-columns: 1.5fr repeat(3, 1fr) 0.6fr;
    grid-template-rows: repeat(1, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}

.service-details-page .div1 { grid-area: 1 / 1 / 6 / 2; }
.service-details-page .div2 { grid-area: 1 / 2 / 6 / 5; }
.service-details-page .div3 { grid-area: 1 / 5 / 6 / 6;}


.service-details-page .parent p{font-size: 30px;}
.service-details-page .parent p{font-size: 20px;}

.service-details-page .investment h2{font-size: 55px;}
.service-details-page .sub-p{
    /* max-width: 938px; */
    font-size: 20px;
    line-height: 28px;
    color: #b2b2b2;
}
.service-details-page .investment .content{padding: 0 40px;}
.service-details-page .investment .content h3{font-size: 24px;line-height: 34px;}
.service-details-page .investment .content p{
    /* max-width: 938px; */
    font-size: 20px;
    line-height: 28px;
    color: #b2b2b2;
}
.service-details-page .investment-img{
    height: 143px;
    width: 100%;
    border-radius: 12px;
    object-fit: cover;
}

.service-details-page .work_with h2{font-size: 60px;}
.service-details-page .work_with hr{border-color: #fff;opacity: 1;}


/*********************** news page *********************/
.news-page .intro h2{font-size: 90px;}
.news-page .intro .date{font-size: 26px;}
.news-page .intro .intro-text{font-size: 22px;}

.news-page .news-img img{max-height: 400px;}
.news-page .other-news .related_title{font-size: 80px;}
.news-page .news .content{background-color: #0C0B0B;font-size: 18px;border-radius: 40px;}
/* .news-page .articles-sec .blog{width: 440px;height: 480px;} */


/* *********************** business type page ******************** */
.business_type_page h1{font-size: 60px;}
.business_type_page .parent {
    display: grid;
    grid-template-columns: repeat(5, 1fr); /* 5 بوكسات في الصف */
    gap: 30px; /* مسافة بين البوكسات */
    justify-content: center; /* توسيط البوكسات في الصف */
    padding: 40px 0;
}
.business_type_page .type {
    background-color: #0D0B0B;
    color: white;
    height: 218px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    border-radius: 16px;
    cursor: pointer;
    padding: 15px;
    text-align: center;
}
.business_type_page input[type="radio"]:checked + label {border: 1px solid #fff;}
.business_type_page .type .icon{
    background: #1E1E1E;
    width: 22px;
    height: 22px;
    text-align: center;
    right: 10px;
    top: 10px;
    font-size: 16px;
    font-weight: bold;
}
.business_type_page .start_now{padding: 13px 60px;}


/* *********************** questions page ******************** */
/* Vertical Steps Style */
.questions_page .steps-vertical {max-width: max-content;padding: 0;}
.questions_page .step-vertical {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0;
}

.questions_page .step-vertical::before,
.questions_page .step-vertical::after {
    content: '';
    position: absolute;
    right: 9px;
    top: 0;
    bottom: 0px;
    width: 2px;
    background-color: #fff;
}

.questions_page .step-vertical.complete:not(:last-child)::after { background: #56ce4d;}
.questions_page .step-vertical.active::after {background: #56ce4d;height: 35px;}
.questions_page .step-vertical-icon {
    width: 0px;
    height: 0px;
    border-radius: 50%;
    background: #56CE4D;
    /* border: 2px solid #dee2e6; */
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 4rem;
    font-size: 20px;
    color: #6c757d;
    position: relative;
    z-index: 2;
    flex-shrink: 0;
}

.questions_page .categories .step-vertical-content{width: 150px;}
.questions_page .step-vertical-content {padding-top: 0.5rem;}

.questions_page .step-vertical.active .step-vertical-icon {
    width: 20px;
    height: 20px;
    background: #56CE4D;
    border-color: #56CE4D;
    color: white;
    /* box-shadow: 0 0 0 5px rgba(67, 97, 238, 0.2); */
}
.questions_page .step-vertical.complete p {color: #56CE4D;}
.questions_page .step-vertical.active p {font-size: 24px;font-weight: bold;color: #fff;}
/* Interactive buttons */
.questions_page .controls {text-align: center;}
.questions_page .controls .btn {
    padding: 8px 16px;
    border-radius: 6px;
    border: none;
    background: #4361ee;
    color: white;
    cursor: pointer;
    margin: 0 5px;
    transition: all 0.3s ease;
}

.questions_page .controls.btn:hover {background: #3451c6;}
.questions_page .controls .btn:disabled {background: #dee2e6;cursor: not-allowed;}
.questions_page .num_questions{align-content: center;}

.questions_page .num_questions .step-vertical::before,
.questions_page .num_questions .step-vertical::after {right: 20px;width: 7px;}
.questions_page .num_questions .step-vertical::after {border-radius: 20px}

.questions_page .num_questions .step-vertical{height: 60px;}
.questions_page .num_questions .step-vertical.complete::after{
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 0px;
}
.questions_page .num_questions .step-vertical.complete:not(:first-child)::after{border-radius: 0px;}

.questions_page .num_questions .step-vertical.active::after{
    height: 50px;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
}

.questions_page .num_questions .step-vertical:first-child::before,
.questions_page .num_questions .step-vertical:first-child::after{
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
}

.questions_page .num_questions .step-vertical:last-child::before,
.questions_page .num_questions .step-vertical:last-child::after{
  border-bottom-left-radius: 20px !important;
  border-bottom-right-radius: 20px !important;
  height: 100%;
}

.questions_page .num_questions .step-vertical.active p{color: #56CE4D;font-weight: 400;font-size: 16px;}
.questions_page .que_box .icon{
    background: #1E1E1E;
    color: #fff;
    width: 22px;
    height: 22px;
    text-align: center;
    right: 20px;
    top: 17px;
    font-size: 16px;
    font-weight: bold;
    display: none;
}
.questions_page .que_answer label:hover .icon{display: block;}
.questions_page .a_num{border-right: 2px solid #000;}
.questions_page .que_answer label{cursor: pointer;border: 1px solid #212529;}
.questions_page input[type="radio"]:checked + label {border: 0;background-color: #fff;color: #000 !important;}



/* .questions_page .a_text{border-left: 2px solid #000;}
.questions_page .que_answer label:hover .icon{display: block;}
.questions_page .que_answer label{cursor: pointer;border: 1px solid #212529;}
.questions_page input[type="radio"] + label {background-color: #000;color: #fff !important;}
.questions_page input[type="radio"]:checked + label {background-color: #fff;color: #000 !important;} */


/* ================== result_pages ============= */
.complete_result .start_now{padding: 13px 24px;}

.result_page .summery{border-left: 2px solid #fff;}
.result_page .summery h3{font-family: 'IB_Signature_Bold', sans-serif;}
.result_page .summery_buttons a{padding: 13px 24px;}
.result_page .summery_buttons .book_appointment:hover{color: #000;}


/* ================= book appointment ============= */
.book_now_page h1{font-family: 'IB_Signature_Bold', sans-serif;}
.book_now_page input[type="radio"] ~ label {cursor: pointer;}
/* .book_now_page input[type="radio"]:checked ~ label {background-color: #fff !important; color: #000;} */
.book_now_page .contact-form textarea{resize: none;}
.book_now_page .contact-form :is(input, textarea, select),
.book_now_page .contact-form :is(input, textarea, select):focus{
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid;
    outline: none;
    border-radius: 0;
    color: #fff;
    box-shadow: 0 0 0;
}
.book_now_page .form-check-input{
    background-color: #000 !important;
    border: 2px solid #fff !important;
    border-radius: 50% !important;
}
.book_now_page .form-check-input:checked{
    background-color: #000 !important;
    border: 2px solid #fff !important;
    border-radius: 50% !important;
}
.book_now_page .contact-form select{
    border: 1px solid #fff;
    border-radius: 5px;
}
/* - stroke='%23343a40' */
/* + stroke='%23fff' */
.book_now_page .form-select {
    --bs-form-select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
}
.book_now_page input[type="file"]{z-index: 1;opacity: 0;}
.book_now_page input[type="file"], .book_now_page .choose_file{
    right: 15px;
    width: 150px;
    top: 10px;
}
.book_now_page .available_date {background:#090707}

.book_now_page input[type="checkbox"] {
    width: 25px;
    height: 25px;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 3px;
    position: relative;
    cursor: pointer;
}

.book_now_page input[type="checkbox"]::before {
    content: '✔';
    color: #ffffff;
    font-size: 18px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
}
.book_now_page input[type="checkbox"]:checked::before {display: block;}
.book_now_page .contact-form :is(input, textarea, select)::placeholder{color: #fff !important;}
.book_now_page .info{font-size: 20px;}

.book_now_page .available_date {
    background: #23222754;
    border-radius: 50px;
}
.book_now_page .available_date .front{
    border-radius:6px;
    /* position:absolute; */
    width:100%;
    height:100%;
    transform-style:preserve-3d;
    -webkit-transform-style:preserve-3d;

    backface-visibility:hidden;
    -webkit-backface-visibility:hidden;
}
.book_now_page .available_date .front{
    text-transform:uppercase;
    /* background-color:#232227; */
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -o-backface-visibility: hidden;
    backface-visibility: hidden;
}
.book_now_page .available_date .date{
    height:100%;
    width:130px;
    float:left;
    background-color:#E76642;
    border-radius:0 6px 6px 0;
    text-align:right;
    padding:10px 30px;
    box-sizing:border-box;
    transform-style:preserve-3d;
    -webkit-transform-style:preserve-3d;
}
.book_now_page .available_date .datecont{
    height:100%;
    transform:translatez(60px) scale(.9);
    -webkit-transform:translatez(60px) scale(.9);
}
.book_now_page .available_date #date{
    font-size:50px;
    color:#ECECE7;
    font-family: 'Montserrat', sans-serif;
    font-weight:500;
    float:right;
}
.book_now_page .available_date #day{
  float:right;
  font-size:14px;
  color:#232227;
  font-family: 'Montserrat', sans-serif;
  font-weight:400;
}
.book_now_page .available_date #month{
    float:right;
    font-size:10px;
    color:#232227;
    font-family: 'Montserrat', sans-serif;
    font-weight:200;
}

.book_now_page .available_date .month{
  /* height:100%; */
  /* width:270px; */
  /* float:left; */
  padding:20px 0px;
  box-sizing:border-box;
}
.book_now_page .available_date .month table{width:100%;}
.book_now_page .available_date .whiteTr{
  color:#ECECE7;
  cursor: pointer;
  margin: 0 0 40px !important;
}
.book_now_page .available_date .whiteTr th:hover{transition:.3s ease;}
.book_now_page .available_date .month tr{height:24px;}
.book_now_page .available_date .month th{
    width: 10%;
    font-size: 16px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    margin-left: 11px;
}

.book_now_page .available_date .whiteTr th {
    display: inline-block;
    color: #ECECE7;
    width: 40px;
    height: 40px;
    border: 2px solid #ECECE7;
    border-radius: 50%;
    text-align: center;
    vertical-align: middle;
    font-size: 16px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    line-height: 36px;
    margin: 8px 25px 0 0px;
    padding: 0;
}

.book_now_page .available_date .whiteTr.calendar-header th {border: 0;}

/* .book_now_page .available_date .whiteTr th:hover, */
.book_now_page .available_date .whiteTr th.active {
    background-color: #fff;
    color: #000;
    transition: .3s ease;
    cursor: pointer;
  /* border-color: #E76642; */
}
.book_now_page .available_date .whiteTr th.busy {border-color: #FFCE00; cursor: default;}
.book_now_page .available_date .available{width: 14px;height: 14px;border: 2px solid #fff;}
.book_now_page .available_date .registered{width: 14px;height: 14px;border: 2px solid #FFCE00;}

.book_now_page .location{padding-left: 100px;}
.book_now_page .location .hours label{border: 2px solid #fff;width: 90px;}
.book_now_page .location .hours label.busy{border-color: #FFCE00;}
.book_now_page .location .hours label.active{background-color: #fff;color: #000;font-weight: bold;}
.book_now_page .location .hours .swiper{padding: 0 !important;}
.book_now_page .location .hours .swiper-slide{width: 70px !important;}
.book_now_page select:focus{border: 1px solid #fff;}
.book_now_page select option{color: #000;}
/* ================== payment ============= */
.payment_page .payment_form{border-radius: 50px;}
.payment_page .payment_form input[type="radio"] ~ label {cursor: pointer;}
/* .payment_page input[type="radio"]:checked ~ label {background-color: #fff !important; color: #000;} */
.payment_page .payment_form textarea{resize: none;}
.payment_page .payment_form :is(input, textarea, select),
.payment_page .payment_form :is(input, textarea, select):focus{
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid;
    outline: none;
    border-radius: 0;
    color: #fff;
    box-shadow: 0 0 0;
}
.payment_page .payment_form input::placeholder {color: #fff;}
.payment_page .payment_form input[type="radio"]:not(:checked) + label img {filter: contrast(0);}
.payment_page .payment_form input[type="radio"]:checked + label img {filter: contrast(1);}

.invoice_page .invoice_card{border: 1px solid #fff;border-radius: 50px;}
:is(.payment_page, .invoice_page) h1{font-family: 'IB_Signature_Bold', sans-serif;}

/*********************** other_pages *******************/

/*
@media (hover: none) {
    .articles-sec .article :is(.layout,.article-content){opacity: 1;transform: translateY(0px);}
    .articles-sec .blog .discover{height: 100%;width: 100%;border-radius: 0;}
    .subscribe-sec button, .subscribe-sec button{background-color: #56CE4D;}
    .footer .social a {transform: rotateY(360deg);background: #56CE4D;}
} */


/*================== swipper =============*/
.card__container {padding-bottom: 2rem;}
.card__content {margin-inline: 2rem;border-radius: 1.25rem;overflow: hidden; padding: 30px 10px; margin: 0;}
.card__article {width: 300px;border-radius: 1.25rem;overflow: hidden;}
.card__image {position: relative;background-color: var(--first-color-light);padding-top: 1.5rem;margin-bottom: -.75rem;overflow: hidden;}
.card__data {background-color: var(--container-color);padding: 1.5rem 2rem;border-radius: 1rem;position: relative;z-index: 10;}
.card__img {width: 180px;margin: 0 auto;position: relative;z-index: 5; }
.card__shadow {
  width: 200px;
  height: 200px;
  background-color: var(--first-color-alt);
  border-radius: 50%;
  position: absolute;
  top: 3.75rem;
  left: 0;
  right: 0;
  margin-inline: auto;
  filter: blur(45px);
}
.card__description {font-weight: 500;margin-bottom: 1.75rem;}
/* Swiper class */
.swiper{padding: 0 0 88px 0 !important;}
.swiper-button-prev:after,.swiper-button-next:after {content: "" !important;}
.swiper-button-prev,.swiper-button-next {
    width: initial !important;
    height: initial !important;
    left: 0 !important;
    right: auto !important;
    bottom: 0;
    display: flex !important;
    align-items: end !important;
    margin: 0 0 28px 0 !important;
}
.swiper-button-prev {left: 50px;}
.swiper-button-next {right: 50px;}
.swiper-pagination-bullet {background-color: #CFD3D6;opacity: 1;}
.swiper-pagination-bullet-active {background-color: var(--secondary);}
.swiper-button-next, .swiper-button-prev{top: 84% !important;}
/* .swiper-button-next .fa-angle-right, .swiper-button-prev i{
    font-size: 18px;
    background-color: #fff;
    box-shadow: 0px 1px 2px #979797;
    border-radius: 50%;
    padding: 9px 12px;
} */
/* .swiper-button-next i:hover, .swiper-button-prev i:hover {background-color: var(--secondary);color: #fff;} */



/*********************** Fonts *********************/
@font-face {
    font-family: 'IB_Signature_Bold'; /*Bold*/
    src: url('../fonts/IB-Signature-Bold.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'IB_Signature_Bold2';
    src: url('../fonts/IB-Signature-Bold2.ttf') format('truetype');
}

@font-face {
    font-family: 'IB_Signature_Light';
    src: url('../fonts/IB Signature Light.ttf') format('truetype');
}

/* ar */
@font-face {
    font-family: '29LT_Kaff';
    src: url('../fonts/29LT-Kaff.ttf') format('truetype');
}

@font-face {
    font-family: '29LT_Kaff_Black'; /*Bold*/
    src: url('../fonts/29LT-Kaff-Black.ttf') format('truetype');
}

@font-face {
    font-family: '29LT_Kaff_Light'; /*thin*/
    src: url('../fonts/29LT-Kaff-Light.ttf') format('truetype');
}

@font-face {
    font-family: '29LT_Kaff_Medium';
    src: url('../fonts/29LT-Kaff-Medium.ttf') format('truetype');
}

@font-face {
    font-family: '29LT_Kaff_Semibold';
    src: url('../fonts/29LT-Kaff-Semibold.ttf') format('truetype');
}

@font-face {
    font-family: '29LT_Kaff_Ultralight';
    src: url('../fonts/29LT-Kaff-Ultralight.ttf') format('truetype');
}
